Subject: Re: Is Cygwin B20 OK ? Or patched soon ?
From: [email-masked] (creative1)

12 Nov 1998 18:58:10 -0800
Message-ID: <[email-masked]>
References: <9811091104532L.03424@web02>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Patrick J. LoPresti" <[email-masked]>, [email-masked]

>
> lro> Hi, Reading at the list these days, I have seen quite a few
>  lro> posts about bugs in the B20 Release.
>
>  lro> Are all these bugs quite serious ?
>
> They are bad enough to make B20 completely unusable, at least for us.

hmm i don't agree, I was the first one to write about the configure problem,
and I compiled several programs. If you don't have to make an intensive use
of configure, or not at all. b20 works almost perfect.

>
>
> I have seen most of the reported problems.  "configure" scripts are
> hit particularly hard; they tend to wedge, and when they finish, they
> tend to leave everything in config.h undefined.  This happens both
> with bash and with ash as /bin/sh.exe.

true lro> Is a patch (or a new release) planed ?

>
> Good question.

yes, of course there is one planned

>
>
>  lro> I haven't seen anything from Geoffrey Noer. Is there an
>  lro> "official cygnus point of view" about this ?
>
> Another good question.

question solved, geoffrey wrote several days ago answering this question,
actually, we wrote 3 emails about this problem always giving the same answer.

from a previous email from him:
-----
I know there are problems with the cygwin1.dll included in B20.  (I'm
almost positive that the configure problems people are seeing are due
to Cygwin bugs and not in sh.exe).  The problems are especially
visible under Windows 9x which was the reason for the configuration
problem comment in the release notes for B20.

We are working on making Cygwin happy under both Windows NT and 9x.
I will release 20.1 as soon as these problems are solved.

This will also resolve the CYGWIN environment variable parsing bug
and possible a few other issues.

Regards,

--
Geoffrey Noer
[email-masked]
------

see you
Joaquin Grech

>
>
>  - Pat
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

--
---------------------------------------------------------------
!     C r e a t i v i t y     M u s t    S u r v i v e        !
---------------------------------------------------------------
!  Fido: 2:341/19.67                 Euronet: 25:928/100.67   !
!  Internet: [email-masked]                            !
!  Http://surf.to/creative                  Ya me direis :)   !
---------------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".